#! /bin/bash

RUBBER="`which rubber 2> /dev/null`"
BASENAME="`basename "$1" .tex`"

if [ -n "$RUBBER" ] ; then
	"$RUBBER" -fvpd -W all "$1"
else
	for i in `seq 1 3` ; do
		latex -halt-on-error "$1"
	done
	dvips -t letter -o "${BASENAME}.ps" "${BASENAME}.dvi"
	ps2pdf "${BASENAME}.ps" "${BASENAME}.pdf"
fi

if [ -e "${BASENAME}.todo" ] ; then
	TODOS="`wc -l "${BASENAME}.todo" | cut -d' ' -f1`"
	if [ "$TODOS" -gt 0 ] ; then
		echo "Warning: $TODOS unresolved TODOs, see ${BASENAME}.todo for details"
	fi
fi
